VulnCheck 색인은 수백 개의 인텔리전스 소스(OSINT 및 VulnCheck 취약점 인텔리전스 포함)에 접근할 수 있는 기능을 개발자에게 제공합니다. /v3/index API 엔드포인트는 계정이 라이선스된 모든 색인과 엔드포인트 링크의 목록을 알파벳 순으로 제공합니다.
API 엔드포인트는 VulnCheck 대시보드의 VulnCheck API Sandbox와 문서화된 VulnCheck 색인에서도 동일하게 확인할 수 있습니다.
이 API 엔드포인트는 커뮤니티 사용자와 상업적 사용자 모두에게 제공됩니다.
이 리소스에는 속성이 없습니다.
curl --request GET \
--url https://api.vulncheck.com/v3/index \
--header 'Accept: application/json' \
--header 'Authorization: Bearer insert_token_here'
package main
import (
"context"
"encoding/json"
"fmt"
"log"
"os"
vulncheck "github.com/vulncheck-oss/sdk-go-v2/v2"
)
func main() {
configuration := vulncheck.NewConfiguration()
configuration.Scheme = "https"
configuration.Host = "api.vulncheck.com"
client := vulncheck.NewAPIClient(configuration)
token := os.Getenv("VULNCHECK_API_TOKEN")
auth := context.WithValue(
context.Background(),
vulncheck.ContextAPIKeys,
map[string]vulncheck.APIKey{
"Bearer": {Key: token},
},
)
resp, httpRes, err := client.EndpointsAPI.IndexGet(auth).Execute()
if err != nil || httpRes.StatusCode != 200 {
log.Fatal(err)
}
prettyJSON, err := json.MarshalIndent(resp.Data, "", " ")
if err != nil {
log.Fatalf("Failed to generate JSON: %v", err)
return
}
fmt.Println(string(prettyJSON))
}
import vulncheck_sdk
configuration = vulncheck_sdk.Configuration(host="https://api.vulncheck.com/v3")
configuration.api_key["Bearer"] = "insert_token_here"
with vulncheck_sdk.ApiClient(configuration) as api_client:
endpoints_client = vulncheck_sdk.EndpointsApi(api_client)
api_response = endpoints_client.index_get()
print(api_response.data)
vulncheck indices list
{
"_benchmark": 0.033926,
"data": [
{
"name": "a10",
"description": "A10 Networks 보안 권고",
"href": "https://api.vulncheck.com/v3/index/a10"
},
{
"name": "abb",
"description": "ABB 취약점",
"href": "https://api.vulncheck.com/v3/index/abb"
},
{
"name": "abbott",
"description": "Abbott 제품 권고",
"href": "https://api.vulncheck.com/v3/index/abbott"
},
{
"name": "absolute",
"description": "Absolute 보안 권고",
"href": "https://api.vulncheck.com/v3/index/absolute"
},
{
"name": "acronis",
"description": "Acronis 보안 권고",
"href": "https://api.vulncheck.com/v3/index/acronis"
},
{
"name": "adobe",
"description": "Adobe 취약점",
"href": "https://api.vulncheck.com/v3/index/adobe"
}
]
}